<bugID>1403550<Summary>Library button is out of position when maximizing window during animation</Summary><Description>Created attachment 8912674
Library animation bug.png

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0
Build ID: 20170926220106

Steps to reproduce:

1. Open Firefox in the windowed mode
2. Make sure you have a Library button on the toolbar
3. Open some webpage and hit "Star" button 
4. Click Done and right after that maximize window
5. See that Library button will stay in its position (in this case in URL bar) until animation is finished.

Severity of this bug depends on the point of view. In reality it is probably edge case, but if it is fixable then should be targetting Firefox 57.

I'm attaching also a screenshot when Library button is showed during animation right after I maximized window.
If users will hit this bug, it will definitely not look very nice.</Description></bugID>